package com.fjhx.sale.controller.pack;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackProductProductVo;
import com.fjhx.sale.entity.pack.dto.PackProductProductSelectDto;
import com.fjhx.sale.entity.pack.dto.PackProductProductDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.sale.service.pack.PackProductProductService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 装箱出货产品明细表 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@RestController
@RequestMapping("/packProductProduct")
public class PackProductProductController {

    @Autowired
    private PackProductProductService packProductProductService;

    /**
     * 装箱出货产品明细表分页
     */
    @PostMapping("/page")
    public Page<PackProductProductVo> page(@RequestBody PackProductProductSelectDto dto) {
        return packProductProductService.getPage(dto);
    }

    /**
     * 装箱出货产品明细表明细
     */
    @PostMapping("/detail")
    public PackProductProductVo detail(@RequestBody BaseSelectDto dto) {
        return packProductProductService.detail(dto.getId());
    }

    /**
     * 装箱出货产品明细表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PackProductProductDto packProductProductDto) {
        packProductProductService.add(packProductProductDto);
    }

    /**
     * 装箱出货产品明细表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PackProductProductDto packProductProductDto) {
        packProductProductService.edit(packProductProductDto);
    }

    /**
     * 装箱出货产品明细表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        packProductProductService.delete(dto.getId());
    }

}
