package com.fjhx.sale.service.pack.impl;

import com.fjhx.sale.entity.pack.po.PackProductProduct;
import com.fjhx.sale.mapper.pack.PackProductProductMapper;
import com.fjhx.sale.service.pack.PackProductProductService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackProductProductVo;
import com.fjhx.sale.entity.pack.dto.PackProductProductSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.sale.entity.pack.dto.PackProductProductDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 装箱出货产品明细表 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Service
public class PackProductProductServiceImpl extends ServiceImpl<PackProductProductMapper, PackProductProduct> implements PackProductProductService {

    @Override
    public Page<PackProductProductVo> getPage(PackProductProductSelectDto dto) {
        IWrapper<PackProductProduct> wrapper = getWrapper();
        wrapper.orderByDesc("ppp", PackProductProduct::getId);
        Page<PackProductProductVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public PackProductProductVo detail(Long id) {
        PackProductProduct PackProductProduct = this.getById(id);
        PackProductProductVo result = BeanUtil.toBean(PackProductProduct, PackProductProductVo.class);
        return result;
    }

    @Override
    public void add(PackProductProductDto packProductProductDto) {
        this.save(packProductProductDto);
    }

    @Override
    public void edit(PackProductProductDto packProductProductDto) {
        this.updateById(packProductProductDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
